ArgumentListExpression (Groovy 4.0.15)

Package: org.codehaus.groovy.ast.expr

## [Java] Class ArgumentListExpression

- org.codehaus.groovy.ast.expr.ArgumentListExpression

-     public class ArgumentListExpression
      extends TupleExpression

  Represents one or more arguments being passed into a method

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static ArgumentListExpression` | `EMPTY_ARGUMENTS` |
    `static Object[]` | `EMPTY_ARRAY` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ArgumentListExpression()`
    `ArgumentListExpression(List<Expression> expressions)`
    `ArgumentListExpression(Expression[] expressions)`
    `ArgumentListExpression(Parameter[] parameters)`
    `ArgumentListExpression(Expression expr)`
    `ArgumentListExpression(Expression expr1, Expression expr2)`
    `ArgumentListExpression(Expression expr1, Expression expr2, Expression expr3)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class TupleExpression` | `addExpression, getExpression, getExpressions, getText, iterator, toString, transformExpression, visit`
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Field Detail

    - #### public static final ArgumentListExpression EMPTY_ARGUMENTS

    - #### public static final Object[] EMPTY_ARRAY

  - ### Constructor Detail

    - #### public ArgumentListExpression()

    - #### public ArgumentListExpression(List<Expression> expressions)

    - #### public ArgumentListExpression(Expression[] expressions)

    - #### public ArgumentListExpression(Parameter[] parameters)

    - #### public ArgumentListExpression(Expression expr)

    - #### public ArgumentListExpression(Expression expr1, Expression expr2)

    - #### public ArgumentListExpression(Expression expr1, Expression expr2, Expression expr3)

  - ### Method Detail

    - #### @Override
      public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)